ClusteringBoundOrBoundary.Serializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class ClusteringBoundOrBoundary.Serializer

- java.lang.Object
- - org.apache.cassandra.db.ClusteringBoundOrBoundary.Serializer

- Enclosing class:
    ClusteringBoundOrBoundary

      public static class ClusteringBoundOrBoundary.Serializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClusteringBoundOrBoundary` | `deserialize(DataInputPlus in, int version, java.util.List<AbstractType<?>> types)`
    `ClusteringBoundOrBoundary` | `deserializeValues(DataInputPlus in, ClusteringPrefix.Kind kind, int version, java.util.List<AbstractType<?>> types)`
    `void` | `serialize(ClusteringBoundOrBoundary bound, DataOutputPlus out, int version, java.util.List<AbstractType<?>> types)`
    `long` | `serializedSize(ClusteringBoundOrBoundary bound, int version, java.util.List<AbstractType<?>> types)`
    `void` | `skipValues(DataInputPlus in, ClusteringPrefix.Kind kind, int version, java.util.List<AbstractType<?>> types)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serializer

          public Serializer()

  - ### Method Detail

    - #### serialize

          public void serialize(ClusteringBoundOrBoundary bound,
                                DataOutputPlus out,
                                int version,
                                java.util.List<AbstractType<?>> types)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(ClusteringBoundOrBoundary bound,
                                     int version,
                                     java.util.List<AbstractType<?>> types)

    - #### deserialize

          public ClusteringBoundOrBoundary deserialize(DataInputPlus in,
                                                       int version,
                                                       java.util.List<AbstractType<?>> types)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skipValues

          public void skipValues(DataInputPlus in,
                                 ClusteringPrefix.Kind kind,
                                 int version,
                                 java.util.List<AbstractType<?>> types)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserializeValues

          public ClusteringBoundOrBoundary deserializeValues(DataInputPlus in,
                                                             ClusteringPrefix.Kind kind,
                                                             int version,
                                                             java.util.List<AbstractType<?>> types)
                                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation